using System;
using System.Data;
using System.Collections.Generic;
using ZXDT.Common;
using ZXDT.CallCenter.Model;
namespace ZXDT.CallCenter.BLL
{
	/// <summary>
	/// T_Wo_TypeAlarmDate
	/// </summary>
	public partial class T_Wo_TypeAlarmDate
	{
		private readonly ZXDT.CallCenter.DAL.T_Wo_TypeAlarmDate dal=new ZXDT.CallCenter.DAL.T_Wo_TypeAlarmDate();
		public T_Wo_TypeAlarmDate()
		{}
		#region  Method

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
			return dal.GetMaxId();
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int F_Id)
		{
			return dal.Exists(F_Id);
		}

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public bool  Add(ZXDT.CallCenter.Model.T_Wo_TypeAlarmDate model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(ZXDT.CallCenter.Model.T_Wo_TypeAlarmDate model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_Id)
		{
			
			return dal.Delete(F_Id);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string F_Idlist )
		{
			return dal.DeleteList(F_Idlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public ZXDT.CallCenter.Model.T_Wo_TypeAlarmDate GetModel(int F_Id)
		{
			
			return dal.GetModel(F_Id);
		}

	

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Wo_TypeAlarmDate> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Wo_TypeAlarmDate> DataTableToList(DataTable dt)
		{
			List<ZXDT.CallCenter.Model.T_Wo_TypeAlarmDate> modelList = new List<ZXDT.CallCenter.Model.T_Wo_TypeAlarmDate>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				ZXDT.CallCenter.Model.T_Wo_TypeAlarmDate model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new ZXDT.CallCenter.Model.T_Wo_TypeAlarmDate();
					if(dt.Rows[n]["F_Id"]!=null && dt.Rows[n]["F_Id"].ToString()!="")
					{
						model.F_Id=int.Parse(dt.Rows[n]["F_Id"].ToString());
					}
					if(dt.Rows[n]["F_DeptId"]!=null && dt.Rows[n]["F_DeptId"].ToString()!="")
					{
						model.F_DeptId=int.Parse(dt.Rows[n]["F_DeptId"].ToString());
					}
					if(dt.Rows[n]["F_DeptCode"]!=null && dt.Rows[n]["F_DeptCode"].ToString()!="")
					{
					model.F_DeptCode=dt.Rows[n]["F_DeptCode"].ToString();
					}
					if(dt.Rows[n]["F_WorkOrderTypeId"]!=null && dt.Rows[n]["F_WorkOrderTypeId"].ToString()!="")
					{
						model.F_WorkOrderTypeId=int.Parse(dt.Rows[n]["F_WorkOrderTypeId"].ToString());
					}
					if(dt.Rows[n]["F_Gcount"]!=null && dt.Rows[n]["F_Gcount"].ToString()!="")
					{
						model.F_Gcount=int.Parse(dt.Rows[n]["F_Gcount"].ToString());
					}
					if(dt.Rows[n]["F_Gunit"]!=null && dt.Rows[n]["F_Gunit"].ToString()!="")
					{
						model.F_Gunit=int.Parse(dt.Rows[n]["F_Gunit"].ToString());
					}
					if(dt.Rows[n]["F_Ccount"]!=null && dt.Rows[n]["F_Ccount"].ToString()!="")
					{
						model.F_Ccount=int.Parse(dt.Rows[n]["F_Ccount"].ToString());
					}
					if(dt.Rows[n]["F_Cunit"]!=null && dt.Rows[n]["F_Cunit"].ToString()!="")
					{
						model.F_Cunit=int.Parse(dt.Rows[n]["F_Cunit"].ToString());
					}
					if(dt.Rows[n]["F_IsMain"]!=null && dt.Rows[n]["F_IsMain"].ToString()!="")
					{
						model.F_IsMain=int.Parse(dt.Rows[n]["F_IsMain"].ToString());
					}
					if(dt.Rows[n]["F_DeleteFlag"]!=null && dt.Rows[n]["F_DeleteFlag"].ToString()!="")
					{
						model.F_DeleteFlag=int.Parse(dt.Rows[n]["F_DeleteFlag"].ToString());
					}
					if(dt.Rows[n]["F_Createby"]!=null && dt.Rows[n]["F_Createby"].ToString()!="")
					{
						model.F_Createby=int.Parse(dt.Rows[n]["F_Createby"].ToString());
					}
					if(dt.Rows[n]["F_CreateDate"]!=null && dt.Rows[n]["F_CreateDate"].ToString()!="")
					{
						model.F_CreateDate=DateTime.Parse(dt.Rows[n]["F_CreateDate"].ToString());
					}
					if(dt.Rows[n]["F_ModifyBy"]!=null && dt.Rows[n]["F_ModifyBy"].ToString()!="")
					{
						model.F_ModifyBy=int.Parse(dt.Rows[n]["F_ModifyBy"].ToString());
					}
					if(dt.Rows[n]["F_ModifyDate"]!=null && dt.Rows[n]["F_ModifyDate"].ToString()!="")
					{
						model.F_ModifyDate=DateTime.Parse(dt.Rows[n]["F_ModifyDate"].ToString());
					}
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

